package com.bonus.zlpt.home.mapper;

import com.bonus.zlpt.home.pojo.BmCarouselDto;
import com.bonus.zlpt.home.pojo.BmCarouselSet;

import java.util.List;

/**
 * 轮播图配置(BmCarouselSet)表数据库访问层
 *
 * @author makejava
 * @since 2023-12-03 15:24:10
 */
public interface BmCarouselSetMapper {

    /**
     * 获取轮播图列表
     * @param
     * @return
     */
    List<BmCarouselSet> selectBmCarouseList(BmCarouselDto bmCarouselDto);

    /**
     * 新增轮播图信息
     * @param bmCarouselSet
     * @return
     */
    int insertConfig(BmCarouselSet bmCarouselSet);

    /**
     * 根据id查询轮播图信息
     * @param id
     * @return
     */
    BmCarouselSet selectListById(int id);

    /**
     * 编辑轮播图信息
     * @param bmCarouselSet
     * @return
     */
    int update(BmCarouselSet bmCarouselSet);

    /**
     * 删除轮播图信息
     * @param id
     * @return
     */
    int deleteById(String id);
}

